<!DOCTYPE html>
<html lang="en">

<head>
    {% with custom_css="./css/questionaire-statistic-form-custom.css", title="Fragebogen Statistiken",
    meta_description="Serviceblick Questionaire Statistics" %}
    {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}
</head>



<body id="page-top" class="az-body">
    <div id="contentwrapper" class="az-body">
        <div class="az-header">
            <div class="container">
                <div class="az-header-left">
                    <a href="index.html" class="az-logo">
                        <img class="az-logo" src="/style-global/img/icons/clipboard.png" alt="Fragebogen Statistiken">
                    </a>
                    <a href="" id="azContentBodyHide" class="az-header-arrow d-md-none">
                        <i class="icon ion-md-arrow-back"></i>
                    </a>
                    <img class="sub-branding-logo d-block d-lg-none pl-2" src="/style-global/img/icons/clipboard.png"
                         alt="Fragebogen Statistiken">
                    <span class="nav-link text-dark tx-20  d-none d-lg-block" data-i18n="CS:Fragebogen Statistiken"></span>
                </div>
                <div class="az-header-menu">
                    <div class="az-header-menu-header">
                        <a href="questionaire_statistics.html" class="az-logo"><span></span><img class="az-logo"
                                                                               src="/style-global/img/icons/clipboard.png"
                                                                               alt="Fragebogen Statistiken"></a>
                        <a href="" class="close">&times;</a>
                    </div>
                </div>
                <div class="az-header-right">
                    {#% include 'snippets/header-news-menu.tpl' %#}

                    <!-- logout as single button -->
                    {% include 'snippets/header-apps-menu.tpl' %}
                    {% include 'snippets/header-profile-menu.tpl' %}
                </div>
            </div>
        </div>

        <div class="container" id="statistic_container">
            <div class="form-container">
                <div class="form-row">
                    <div class="form-group col-12" >
                        <label for="questionaire_dropdown" class="text-muted mg-b-0"><span data-i18n="Questionaires">Questionaires</span> <span class="tx-danger">*</span></label>
                        <select id="questionaire_dropdown" class="text-muted form-control">
                            <!-- Options are filled from js render-export.js -->
                        </select>
                    </div>
                </div>
                <div class="form-row hidden" id="questionaire_dropdown_id">
                    <label for="questionaire_dropdown" class="text-muted mg-b-0" ><i class="fa fa-exclamation-triangle tx-20 op-6 mr-1"></i> <span data-i18n="A questionnaire must be selected.">A questionnaire must be selected.</span></label>
                </div>

                <div class="form-row hidden">
                    <div class="form-group col-12">
                        <label for="search_terms" class="text-muted mg-b-0" data-i18n="Search Term"><i class="far fa-file-alt tx-24 lh--9 op-6 mr-1"></i><span data-i18n="Search Term">Search Term</span></label>
                        <input id="search_terms" type="text" class="form-control" placeholder="....">
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-12 col-md-5">
                        <label for="start_date" class="text-muted mg-b-0"><i class="typcn typcn-calendar-outline tx-24 lh--9 op-6 mr-1"></i><span data-i18n="Start Date">Start Date</span></label>
                        <input type="text" id="start_date" name="start_date" class="datepicker form-control" required/>
                    </div>
                    <div class="form-group col-12 col-md-5">
                        <label for="end_date" class="text-muted mg-b-0"><i class="typcn typcn-calendar-outline tx-24 lh--9 op-6 mr-1"></i><span data-i18n="End Date">End Date</span></label>
                        <input type="text" id="end_date" name="end_date" class="datepicker form-control" required/>
                    </div>
                    <div class="form-group col-12 col-md-2 d-flex align-items-end">
                        <button data-permission="beta_access" id="show_statistic" type="submit" data-i18n="Show">Show</button>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-12 ">
                        <hr/>
                        <label for="start_date" class="text-muted mg-b-0">
                            <i class="fas fa-info-circle tx-20 op-6 mr-1"></i>
                            <span data-i18n="If you leave the Start Date and End Date fields empty, the current month will automatically be used as the period for the statistical analysis.">If you leave the Start Date and End Date fields empty, the current month will automatically be used as the period for the statistical analysis.</span>
                        </label>
                    </div>
                </div>
            </div>

            <div id="question_statistic">

            </div>
        </div>
    </div>

{% with select2=false, bootstrapdatetimepicker=true, momentjs=true, perfectscrollbar=true, chartjs=true %}
{% include 'snippets/global-script-include.tpl' %}
{% endwith %}
{% with circuit="questionaire_statistic" %}
{% include 'snippets/framework-script.tpl' %}
{% endwith %}
{% with show_menu=false, show_copyright=true %}
{% include 'snippets/parametric/pb-footer.tpl' %}
{% endwith %}
</body>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        let dropdown = document.getElementById('questionaire_dropdown');
        let searchterms = document.getElementById('search_terms');

        dropdown.addEventListener('change', function() {
            searchterms.value = dropdown.value;
        });
    });
</script>
</html>